Skip to main content
GET
/
v1
/
phone-numbers
/
{phone_number_id}
Get phone number details
curl --request GET \
  --url https://api.topcalls.ai/v1/phone-numbers/{phone_number_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "number": "+18005551234",
  "source": "topcalls",
  "status": "active",
  "phone_number_sid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "voip_carrier_sid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "carrier_name": "<string>",
  "label": "<string>",
  "error_message": "<string>",
  "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer tc_live_xxxxx

Path Parameters

phone_number_id
string<uuid>
required

Phone number UUID

Response

Phone number details

id
string<uuid>

Phone number UUID

account_id
string<uuid>

Account UUID

number
string

Phone number in E.164 format

Example:

"+18005551234"

source
enum<string>

Phone number source:

  • topcalls - TopCalls default carrier
  • byoc - Bring Your Own Carrier
  • manual - Manually added
  • import - Imported from external source
Available options:
topcalls,
byoc,
manual,
import,
twilio
status
enum<string>

Phone number status:

  • active - Ready to use
  • inactive - Disabled but still provisioned
  • pending - Provisioning in progress
  • failed - Provisioning failed
  • deleted - Soft deleted
Available options:
active,
inactive,
pending,
failed,
deleted
phone_number_sid
string<uuid> | null

Provisioned phone number ID in the telephony system

voip_carrier_sid
string<uuid> | null

Carrier UUID

carrier_name
string | null

Carrier display name

label
string | null

User-friendly label

error_message
string | null

Error details when status is 'failed'

created_by_user_id
string<uuid> | null

User who created this number

created_at
string<date-time>
updated_at
string<date-time>